# Remove all buy orders by filters

`GET /v1/remove-all-orders`

Remove all orders with filter by game.

Note: If response success is false, then some orders may be not removed (due to timeout), removed count will be also available in that case

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to remove orders from (without game param will remove all) |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/remove-all-orders?api=%7B%7BAPI_KEY%7D%7D&game=csgo'
```

## Example response

```json
{
  "success": true,
  "msg": "string",
  "count": 55
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
